#!/bin/bash

# Define the source and destination directories
source_dir="results"
destination_dir="$source_dir/upload_files"

# Create the destination directory if it doesn't exist
mkdir -p "$destination_dir"

# Iterate over the source directories starting with 'q'
for dir in "$source_dir"/*/
do
    # Copy the figures to the destination directory
    find "$dir" -type f -name "*.png" -exec cp {} "$destination_dir" \;
done